Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004278OCamlOCaml internal build/install (Makefiles, configure)public2007-05-13 00:062012-02-07 13:44
Reporteraballier 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.3 
Target VersionFixed in Version3.13.0+dev 
Summary0004278: ocaml configure script does not give the possibility to disable dbm nor graph modules
DescriptionCurrently if a dbm library is found, dbm module will be built.
Same goes with X libs / includes for the graph module.

I would like to be able to force the build system to not build them even if I have the dependencies installed on my system.

Patch enclosed.
TagsNo tags attached.
Attached Filespatch file icon ocaml-3.09.3-automagic.patch [^] (1,849 bytes) 2007-05-13 00:06 [Show Content]

- Relationships

-  Notes
(0006894)
doligez (administrator)
2012-02-07 13:44

For DBM: we removed it from the distribution, so this has become irrelevant.

For graph: done in trunk [3.13.0] (commit 12132).

- Issue History
Date Modified Username Field Change
2007-05-13 00:06 aballier New Issue
2007-05-13 00:06 aballier File Added: ocaml-3.09.3-automagic.patch
2007-11-10 15:33 xleroy Status new => acknowledged
2012-02-07 13:44 doligez Note Added: 0006894
2012-02-07 13:44 doligez Severity minor => feature
2012-02-07 13:44 doligez Status acknowledged => closed
2012-02-07 13:44 doligez Resolution open => fixed
2012-02-07 13:44 doligez Category OCaml general => OCaml internal build/install (Makefiles, configure)
2012-02-07 13:44 doligez Fixed in Version => 3.13.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker